# Generated by Django 3.2 on 2023-07-20 07:18

import ckeditor.fields
import ckeditor_uploader.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import rizq_sanjaya_app.models.profile
import taggit.managers
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('taggit', '0005_auto_20220424_2025'),
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='Account',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('email', models.EmailField(max_length=254, unique=True)),
                ('username', models.CharField(max_length=50, unique=True)),
                ('first_name', models.CharField(max_length=50)),
                ('last_name', models.CharField(max_length=50)),
                ('is_staff', models.BooleanField(default=False)),
                ('is_active', models.BooleanField(default=True)),
                ('is_verified', models.BooleanField(default=False)),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now)),
                ('last_login', models.DateTimeField(null=True)),
                ('phone', models.CharField(max_length=15)),
                ('date_of_birth', models.DateField(blank=True, null=True)),
                ('avatar', models.ImageField(blank=True, null=True, upload_to='profile/images/avatar/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('role', models.CharField(choices=[('admin', 'Admin'), ('posting', 'Posting')], default='posting', max_length=50)),
                ('email_verification_token', models.CharField(default='', max_length=100)),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'abstract': False,
            },
            managers=[
                ('objects', rizq_sanjaya_app.models.profile.AccountManager()),
            ],
        ),
        migrations.CreateModel(
            name='AboutMe',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('judul', models.CharField(default='Tentang Kami.', max_length=255)),
                ('deskripsi', models.CharField(default='-', max_length=255)),
                ('youtube', models.CharField(default='', max_length=255, null=True)),
                ('icon', models.CharField(default='', max_length=255, null=True)),
                ('images', models.ImageField(default='profile/images/produk/no-image.jpg', upload_to='profile/images/about/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('jenis', models.CharField(default='header', max_length=30)),
                ('section', models.CharField(default='tentang', max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='AppSetting',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('nama', models.CharField(max_length=100, unique=True)),
                ('keterangan', models.TextField(null=True)),
                ('tanggal', models.DateField(null=True)),
                ('image', models.ImageField(null=True, upload_to='profile/images/diskon/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Carousel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('judul', models.TextField(blank=True, null=True)),
                ('subjudul', models.TextField(null=True)),
                ('foto', models.ImageField(upload_to='profile/images/carousel/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('link', models.CharField(blank=True, max_length=200, null=True)),
                ('kondisi', models.TextField(default=True, null=True)),
                ('keterangan', ckeditor.fields.RichTextField(null=True)),
                ('harga', models.IntegerField(null=True)),
                ('diskon', models.IntegerField(null=True)),
                ('persen_diskon', models.IntegerField(null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nama', models.CharField(max_length=100, unique=True)),
                ('typexs', models.CharField(default='product', max_length=100)),
                ('slug', models.SlugField(max_length=150, unique=True)),
                ('foto', models.ImageField(null=True, upload_to='profile/images/kategori', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
            ],
        ),
        migrations.CreateModel(
            name='Destinasi',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('nama', models.TextField(null=True)),
                ('fasilitas', models.TextField(null=True)),
                ('deskripsi', models.TextField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='FAQ',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pertanyaan', models.TextField(null=True)),
                ('jawaban', models.TextField(null=True)),
                ('highlight', models.TextField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Foto',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('images', models.ImageField(null=True, upload_to='profile/images/destinasi/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
            ],
        ),
        migrations.CreateModel(
            name='Kata',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('judul', models.TextField(null=True)),
                ('keterangan', models.TextField(null=True)),
                ('image', models.ImageField(upload_to='profile/images/kata/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Kategori',
            fields=[
                ('kategori_id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('nama', models.CharField(max_length=100, unique=True)),
                ('typexs', models.CharField(default='product', max_length=100)),
                ('slug', models.SlugField(max_length=150, unique=True)),
                ('foto', models.ImageField(null=True, upload_to='profile/images/kategori', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
            ],
        ),
        migrations.CreateModel(
            name='Layanan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('judul', models.CharField(default='Lorem Ipsum', max_length=100)),
                ('keterangan', models.CharField(default='Lorem ipsum dolor sit amet', max_length=255)),
                ('icon', models.CharField(default='', max_length=255, null=True)),
                ('slug', models.CharField(default='', max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Link',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('nama', models.CharField(max_length=100, unique=True)),
                ('link', models.CharField(max_length=500)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LogAdmin',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ip', models.CharField(default='-', max_length=20)),
                ('device_type', models.CharField(default='-', max_length=20)),
                ('browser_type', models.CharField(default='-', max_length=30)),
                ('browser_version', models.CharField(default='-', max_length=30)),
                ('os_type', models.CharField(default='-', max_length=30)),
                ('os_version', models.CharField(default='-', max_length=30)),
                ('aktivitas', models.CharField(default='-', max_length=30)),
                ('waktu', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='LogVisitor',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ip', models.CharField(default='-', max_length=20)),
                ('device_type', models.CharField(default='-', max_length=20)),
                ('browser_type', models.CharField(default='-', max_length=30)),
                ('browser_version', models.CharField(default='-', max_length=30)),
                ('os_type', models.CharField(default='-', max_length=30)),
                ('os_version', models.CharField(default='-', max_length=30)),
                ('waktu', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='RnW',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('jenis', models.CharField(max_length=100)),
                ('deskripsi', ckeditor_uploader.fields.RichTextUploadingField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RunningLink',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('nama', models.CharField(max_length=100)),
                ('logo', models.ImageField(upload_to='profile/images/running_link/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('link', models.CharField(max_length=500)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RunningText',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('text', models.CharField(max_length=255)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('product_name', models.CharField(max_length=255)),
                ('images', models.ImageField(default='profile/images/produk/no-image.jpg', upload_to='profile/images/produk/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('description', ckeditor_uploader.fields.RichTextUploadingField()),
                ('slug', models.SlugField(max_length=300, unique=True)),
                ('harga', models.IntegerField(null=True)),
                ('diskon', models.IntegerField(null=True)),
                ('persen_diskon', models.IntegerField(null=True)),
                ('last_updated_by', models.CharField(blank=True, max_length=5, null=True)),
                ('best_seller', models.BooleanField(default=False, max_length=1)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.Category')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to=settings.AUTH_USER_MODEL)),
                ('tags', taggit.managers.TaggableManager(help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='News',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('news_id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('title', models.CharField(max_length=255)),
                ('thumbnail', models.ImageField(default='profile/images/artikel/no-image.jpg', upload_to='profile/images/artikel/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('content', ckeditor.fields.RichTextField()),
                ('slug', models.SlugField(max_length=300, unique=True)),
                ('tags', models.TextField(null=True)),
                ('last_updated_by', models.CharField(blank=True, max_length=5, null=True)),
                ('seen', models.SmallIntegerField(default=0)),
                ('jenis', models.CharField(max_length=255, null=True)),
                ('total_views', models.IntegerField(default=0, null=True)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.Category')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Gallery',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('title', models.CharField(max_length=255)),
                ('keterangan', models.TextField(max_length=600)),
                ('foto', models.ImageField(blank=True, null=True, upload_to='profile/images/galeri/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('video', models.TextField(blank=True, max_length=500, null=True)),
                ('slug', models.SlugField(max_length=300, unique=True)),
                ('categori', models.CharField(default='', max_length=255)),
                ('last_updated_by', models.CharField(blank=True, max_length=5, null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to=settings.AUTH_USER_MODEL)),
                ('tags', taggit.managers.TaggableManager(help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DestinasiImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('images', models.ImageField(null=True, upload_to='profile/images/destinasi/', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('destinasi', models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='rizq_sanjaya_app.destinasi')),
            ],
        ),
        migrations.AddField(
            model_name='destinasi',
            name='images',
            field=models.ManyToManyField(related_name='destinasi_images', to='rizq_sanjaya_app.Foto'),
        ),
        migrations.AddField(
            model_name='destinasi',
            name='paket',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='rizq_sanjaya_app.carousel'),
        ),
        migrations.CreateModel(
            name='Announcement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('title', models.CharField(max_length=255)),
                ('slug', models.SlugField(max_length=300, unique=True)),
                ('description', models.TextField(max_length=1000)),
                ('jenis', models.CharField(choices=[('ASN', 'ASN'), ('Umum', 'Umum')], default='Umum', max_length=10)),
                ('last_updated_by', models.CharField(blank=True, max_length=5, null=True)),
                ('dokumen', models.FileField(blank=True, null=True, upload_to='profile/announcement/', validators=[rizq_sanjaya_app.models.profile.validate_file_dokumen, rizq_sanjaya_app.models.profile.validate_file_size_dokumen])),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Agenda',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('name', models.CharField(max_length=255)),
                ('slug', models.SlugField(max_length=300, unique=True)),
                ('start_date', models.DateField()),
                ('finish_date', models.DateField()),
                ('start_time', models.TimeField(blank=True, null=True)),
                ('finish_time', models.TimeField(blank=True, null=True)),
                ('description', models.TextField(max_length=600)),
                ('every_year', models.CharField(max_length=5)),
                ('color', models.CharField(choices=[('#0d6efd', 'Biru'), ('#6610f2', 'Indigo'), ('#6f42c1', 'Ungu'), ('#d63384', 'Merah Muda'), ('#dc3545', 'Merah'), ('#fd7e14', 'Oranye'), ('#ffc107', 'Kuning'), ('#198754', 'Hijau'), ('#20c997', 'Teal'), ('#0dcaf0', 'Cyan'), ('#adb5bd', 'Abu-Abu'), ('#000', 'Hitam')], default='#fd7e14', max_length=10)),
                ('last_updated_by', models.CharField(blank=True, max_length=5, null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
